const debug = require('debug');

class Logger {
  constructor (ns, id = 0) {
    this.logWriter = debug(`${ns}/${id}`);
  }

  log (...args) {
    this.logWriter(...args);
  }
}

module.exports = { Logger };
